更新备货单
POST
/erp/sc/routing/owms/inbound/updateInbound接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/owms/inbound/updateInbound | HTTPS | POST | 1 |
请求参数
overseas_order_nostring必填logistics_idintegerproduct_listarray<object>隐藏子属性
product_idintegerfnskustringtariffsnumbertariffs_currency_unitstringcg_product_gross_weightnumbercg_package_lengthnumbercg_package_widthnumbercg_package_heightnumberstock_numintegersidstringproduct_codestringfba_costnumberfba_cost_currency_unitstringremarkstringestimated_timestringarrival_timestringshare_idintegerremarkstringfile_idstringoverseas_typeintegerreal_delivery_timestringlogistics_list_typeinteger必填head_logistics_listobject必填隐藏子属性
tax_fee_typeinteger必填tracking_listarray<object>必填隐藏子属性
tracking_nostring必填transport_typeinteger必填order_type_codeinteger必填shippersstring必填remarkstring必填estimate_expenses_listobject必填隐藏子属性
chargeable_weightstringpricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填actual_expenses_listobject必填隐藏子属性
tax_feestring必填tax_fee_currencystring必填chargeable_weightstring必填pricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填logistics_listarray<object>隐藏子属性
logistics_order_nostringlogistics_moneystringlogistics_money_unitstringother_moneystringother_money_unitstringtrack_order_nostringother_money_remarkstringreal_logistics_moneynumberreal_logistics_money_unitstringreal_other_moneynumberreal_other_money_unitstringreal_other_money_remarkstringwool_idintegeroperation_typeinteger请求示例
{
"overseas_order_no": "OWS220624005",
"logistics_id": 35,
"share_id": 1,
"overseas_type": 1,
"arrival_time": "2022-06-24 12:10:25",
"estimated_time": "2022-06-25 12:10:25",
"real_delivery_time": "2022-6-24 12:00:25",
"remark": "999",
"file_id": "",
"logistics_list": [
{
"wool_id": 2949,
"operation_type": 2,
"logistics_money": "77.00",
"logistics_money_unit": "CNY",
"other_money": "5",
"other_money_unit": "CNY",
"other_money_remark": "",
"real_logistics_money": "300.00",
"real_logistics_money_unit": "CNY",
"real_other_money": "10.00",
"real_other_money_unit": "CNY",
"real_other_money_remark": "",
"logistics_order_no": "99",
"track_order_no": "2333"
}
],
"product_list": [
{
"product_id": 2117299,
"product_code": "TESTSKU1",
"cg_package_height": "50.00",
"cg_package_length": "20.00",
"cg_package_width": "10.02",
"cg_product_gross_weight": "20.00",
"fba_cost": "9",
"fba_cost_currency_unit": "CNY",
"tariffs": "8",
"tariffs_currency_unit": "CNY",
"fnsku": "",
"sid": 0,
"stock_num": 7,
"remark": "商品备注999999999999999"
}
],
"logistics_list_type": 0,
"head_logistics_list": {
"tax_fee_type": 1,
"tracking_list": [{
"tracking_no": "cxdhxxxxxx123",
"transport_type": "1",
"order_type_code": "5",
"shippers": "coscoxxx",
"remark": "备注"
}],
"estimate_expenses_list": {
"chargeable_weight": "111.00",
"price": "1.00",
"price_currency": "CNY",
"logistics_fee": "1.00",
"logistics_fee_currency": "CNY",
"remark": "预估费用备注",
"other_fee_arr": [{
"fee_type_id": "241192037543649792",
"other_amount": "1.00",
"other_currency": "CNY"
}]
},
"actual_expenses_list": {
"tax_fee":"1",
"tax_fee_currency":"CNY",
"chargeable_weight": "111.00",
"price": "111.00",
"price_currency": "CNY",
"logistics_fee": "111.00",
"logistics_fee_currency": "CNY",
"remark": "实际费用备注",
"other_fee_arr": [{
"fee_type_id": "241192037543649792",
"other_amount": "111.00",
"other_currency": "CNY"
}]
}
}
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<any>必填